<template>
    <div class="end-form-wrapper">
        <p class="subtitle">{{ quiz.endForm.subtitle }}</p>
        <h1 class="title">{{ quiz.endForm.title }}</h1>

        <div class="form-wrapper">
            <NuxtImg src="images/dudinha.png" width="200" />

            <div class="fields">
                <p class="call">{{ quiz.endForm.call }}</p>
                <div class="field" v-for="field in quiz.endForm.fields" :key="field.id">
                    <label for="field.id">{{ field.label }}</label>
                    <br />
                    <input
                        :type="field.type"
                        :name="field.label"
                        :placeholder="field.placeholder"
                        :pattern="field.pattern"
                    />
                </div>
            </div>
        </div>
        <div class="button-wrapper">
            <button class="end-form-button">{{ quiz.endForm.button }}</button>
        </div>
    </div>
</template>

<script lang="ts">
import type { Quiz } from "@/types/Quiz/Quiz";

export default defineComponent({
    name: "EndForm",
    props: {
        quiz: {
            type: Object as () => Quiz,
            required: true,
        },
        currentQuestionIndex: {
            type: Number,
            required: true,
        },
    },
});
</script>

<style lang="scss" scoped>
.end-form-wrapper {
    margin-top: 10px;

    .subtitle {
        font-size: 16px;
        color: RGB(0, 225, 105);
        font-weight: bold;
    }

    .title {
        font-size: 28px;
        font-weight: bold;
    }

    .form-wrapper {
        display: flex;
        align-items: center;
        gap: 40px;
    }

    .fields {
        width: 305px;
    }

    .field {
        margin-bottom: 20px;
    }

    label {
        font-size: 16px;
        font-weight: 700;
        color: #262b2b;
    }

    input {
        margin-top: 5px;
        width: 100%;
        display: flex;
        padding: 0.75em;
        background-color: #fff;
        border: 1px solid #c1cccc;
        border-radius: 4px;
        font-size: 16px;
        margin-top: 0.5em;
    }

    .button-wrapper {
        margin-top: 20px;
        margin-bottom: 20px;
        display: flex;
        justify-content: center;

        .end-form-button {
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            padding: 16px 32px;
            width: 60%;
            height: 48px;
            background-color: #00e169;
            border-radius: 40px;
            text-transform: uppercase;
            color: black;
            border: 0;
            font-size: 16px;
            font-weight: bold;
            line-height: 1.125rem;
            cursor: pointer;
        }
    }
}
</style>
